

<form [formGroup]="taskForm" (ngSubmit)="onSubmit()">
  <h1 mat-dialog-title>{{title}}</h1>
  <div mat-dialog-content class="task__content">
    <mat-form-field>
      <input [autofocus]="true" matInput placeholder="Title" [formControl]="titleControl">
      <mat-error *ngIf="titleControl.hasError('required')">
        Title is <strong>required</strong>
      </mat-error>
    </mat-form-field>
    <mat-form-field>
      <textarea matInput placeholder="Description" [formControl]="descriptionControl"></textarea>
      <mat-error *ngIf="descriptionControl.hasError('required')">
        Description is <strong>required</strong>
      </mat-error>
    </mat-form-field>

    <mat-form-field>
      <input matInput [min]="minDate" [matDatepicker]="startPicker"
            [formControl]="startDateControl"
            placeholder="Choose a date of start">
      <mat-datepicker-toggle matSuffix [for]="startPicker"></mat-datepicker-toggle>
      <mat-datepicker #startPicker></mat-datepicker>
    </mat-form-field>

      <mat-form-field>
      <input matInput [min]="minDate" [matDatepicker]="endPicker"
            [formControl]="endDateControl"
            placeholder="Choose a date of end">
      <mat-datepicker-toggle matSuffix [for]="endPicker"></mat-datepicker-toggle>
      <mat-datepicker #endPicker></mat-datepicker>
    </mat-form-field>
    <mat-form-field>
        <mat-label>Type</mat-label>
        <mat-select [formControl]="typeControl">
          <mat-select-trigger>
            {{typeControl.value.name}}
          </mat-select-trigger>
          <mat-option *ngFor="let type of typeOptions" [value]="type">
            {{type.name}}
          </mat-option>
        </mat-select>
      </mat-form-field>
  </div>
  <div mat-dialog-actions class="task__actions actions">
    <button class="actions_button" type="button" mat-raised-button (click)="onClose()">Close</button>
    <button class="actions_button" type="submit" mat-raised-button color="primary"
    [disabled]="isDisabledSave()" cdkFocusInitial>Save</button>
  </div>
</form>
